package com.diagbot.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllForRelationVO {
    
    /**
     * 名称
     */
    @ApiModelProperty(value="名称")
    private String name;
    
    /**
     * 词性id
     */
    @ApiModelProperty(value="词性id")
    private Long typeId;
    
    /**
     * 相关联的概念id
     */
    @ApiModelProperty(value="相关联的概念id")
    @NotNull(message="相关联的概念id必传")
    private Long conceptId;
    
    /**
     * 关系类型id
     */
    @ApiModelProperty(value="关系类型id")
    @NotNull(message="关系类型id必传")
    private Long relationId;
    
    
    /**
     * 是否起始术语，1-是，0-否
     */
    @ApiModelProperty(value="是否起始术语，1-是，0-否")
    @NotNull(message="是否起始术语必传")
    private Integer isStart;

    
}